通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Partner Namespaces - List By Subscription

列出 Azure 订阅下的合作伙伴命名空间。
列出 Azure 订阅下的所有合作伙伴命名空间。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.EventGrid/partnerNamespaces?api-version=2025-02-15
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.EventGrid/partnerNamespaces?api-version=2025-02-15&$filter={$filter}&$top={$top}

URI 参数

名称 必需 类型 说明
subscriptionId
path True

string

唯一标识Microsoft Azure 订阅的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。

api-version
query True

string

要用于客户端请求的 API 的版本。

$filter
query

string

用于使用 OData 语法筛选搜索结果的查询。 仅允许对“name”属性进行筛选,并且 OData作数量有限。 这些作包括:“contains”函数以及以下逻辑作:not、or, or, eq (for equal)和 ne (对于不相等)。 不支持算术运算。 下面是有效的筛选器示例:$filter=contains(namE、'PATTERN')和名称 ne 'PATTERN-1'。 下面是无效的筛选器示例:$filter=location eq 'westus'。

$top
query

integer (int32)

要为列表作返回每页的结果数。 顶部参数的有效范围为 1 到 100。 如果未指定,则返回的默认结果数是每页 20 个项目。

响应

名称 类型 说明
200 OK

PartnerNamespacesListResult

还行

Other Status Codes

ErrorResponse

如果请求失败,则返回错误响应。

示例

PartnerNamespaces_ListBySubscription

示例请求

GET https://management.azure.com/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/providers/Microsoft.EventGrid/partnerNamespaces?api-version=2025-02-15

示例响应

{
  "value": [
    {
      "properties": {
        "provisioningState": "Succeeded",
        "partnerRegistrationFullyQualifiedId": "/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/resourceGroups/amh/providers/Microsoft.EventGrid/partnerRegistrations/ContosoCorpAccount1",
        "endpoint": "https://partnernamespace123.centraluseuap-1.eventgrid.azure.net/api/events"
      },
      "location": "Central US EUAP",
      "tags": {
        "key1": "value1",
        "key2": "value2",
        "key3": "value3"
      },
      "id": "/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/resourceGroups/amh/providers/Microsoft.EventGrid/partnerNamespaces/partnerNamespace123",
      "name": "partnerNamespace123",
      "type": "Microsoft.EventGrid/partnerNamespaces"
    }
  ]
}

定义

名称 说明
ConnectionState

ConnectionState 信息。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

InboundIpRule
IpActionType

根据匹配项或 IpMask 的匹配项执行的作。

PartnerNamespace

EventGrid 合作伙伴命名空间。

PartnerNamespaceProvisioningState

伙伴命名空间的预配状态。

PartnerNamespacesListResult

列出合作伙伴命名空间作的结果

PartnerTopicRoutingMode

这将确定发布到此合作伙伴命名空间的事件是否应在事件有效负载中使用源属性,或者在与合作伙伴主题匹配时使用标头中的通道名称。 如果未指定源属性路由,则会使用源属性路由来匹配合作伙伴主题。

PersistedConnectionStatus

连接状态。

PrivateEndpoint

PrivateEndpoint 信息。

PrivateEndpointConnection
PublicNetworkAccess

这决定了是否允许通过公用网络流量。 默认情况下,它处于启用状态。 可以通过配置 <seealso cref=“P:Microsoft.Azure.Events.ResourceProvider.Common.Contracts.DomainProperties.InboundIpRules” />

ResourceProvisioningState

专用终结点连接的预配状态。

systemData

与创建和上次修改资源相关的元数据。

TlsVersion

允许发布到此域的发布服务器的最低 TLS 版本

ConnectionState

ConnectionState 信息。

名称 类型 说明
actionsRequired

string

需要的作(如果有)。

description

string

连接状态的说明。

status

PersistedConnectionStatus

连接状态。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

InboundIpRule

名称 类型 说明
action

IpActionType

根据匹配项或 IpMask 的匹配项执行的作。

ipMask

string

CIDR 表示法中的 IP 地址,例如 10.0.0.0/8。

IpActionType

根据匹配项或 IpMask 的匹配项执行的作。

说明
Allow

PartnerNamespace

EventGrid 合作伙伴命名空间。

名称 类型 默认值 说明
id

string

资源的完全限定标识符。

location

string

资源的位置。

name

string

资源的名称。

properties.disableLocalAuth

boolean

False

此布尔值用于启用或禁用本地身份验证。默认值为 false。 如果该属性设置为 true,则仅使用 AAD 令牌在允许用户发布到合作伙伴命名空间时进行身份验证。

properties.endpoint

string

合作伙伴命名空间的终结点。

properties.inboundIpRules

InboundIpRule[]

这可用于限制来自特定 IP 而不是所有 IP 的流量。 注意:仅当启用了 PublicNetworkAccess 时,才会考虑这些内容。

properties.minimumTlsVersionAllowed

TlsVersion

允许发布到此合作伙伴命名空间的发布者的最低 TLS 版本

properties.partnerRegistrationFullyQualifiedId

string

应与此合作伙伴命名空间关联的合作伙伴注册的完全限定 ARM ID。 这采用以下格式:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventGrid/partnerRegistrations/{partnerRegistrationName}。

properties.partnerTopicRoutingMode

PartnerTopicRoutingMode

SourceEventAttribute

这将确定发布到此合作伙伴命名空间的事件是否应在事件有效负载中使用源属性,或者在与合作伙伴主题匹配时使用标头中的通道名称。 如果未指定源属性路由,则会使用源属性路由来匹配合作伙伴主题。

properties.privateEndpointConnections

PrivateEndpointConnection[]

专用终结点连接列表。

properties.provisioningState

PartnerNamespaceProvisioningState

伙伴命名空间的预配状态。

properties.publicNetworkAccess

PublicNetworkAccess

Enabled

这决定了是否允许通过公用网络流量。 默认情况下,它处于启用状态。 可以通过配置 <seealso cref=“P:Microsoft.Azure.Events.ResourceProvider.Common.Contracts.PartnerNamespaceProperties.InboundIpRules” />

systemData

systemData

与事件网格资源相关的系统元数据。

tags

object

资源的标记。

type

string

资源的类型。

PartnerNamespaceProvisioningState

伙伴命名空间的预配状态。

说明
Creating
Updating
Deleting
Succeeded
Canceled
Failed

PartnerNamespacesListResult

列出合作伙伴命名空间作的结果

名称 类型 说明
nextLink

string

合作伙伴命名空间的下一页的链接。

value

PartnerNamespace[]

合作伙伴命名空间的集合。

PartnerTopicRoutingMode

这将确定发布到此合作伙伴命名空间的事件是否应在事件有效负载中使用源属性,或者在与合作伙伴主题匹配时使用标头中的通道名称。 如果未指定源属性路由,则会使用源属性路由来匹配合作伙伴主题。

说明
SourceEventAttribute
ChannelNameHeader

PersistedConnectionStatus

连接状态。

说明
Pending
Approved
Rejected
Disconnected

PrivateEndpoint

PrivateEndpoint 信息。

名称 类型 说明
id

string

专用终结点的 ARM 标识符。

PrivateEndpointConnection

名称 类型 说明
id

string

资源的完全限定标识符。

name

string

资源的名称。

properties.groupIds

string[]

专用链接服务资源的 GroupId。

properties.privateEndpoint

PrivateEndpoint

此连接的专用终结点资源。

properties.privateLinkServiceConnectionState

ConnectionState

有关连接状态的详细信息。

properties.provisioningState

ResourceProvisioningState

专用终结点连接的预配状态。

type

string

资源的类型。

PublicNetworkAccess

这决定了是否允许通过公用网络流量。 默认情况下,它处于启用状态。 可以通过配置 <seealso cref=“P:Microsoft.Azure.Events.ResourceProvider.Common.Contracts.DomainProperties.InboundIpRules” />

说明
Enabled
Disabled

ResourceProvisioningState

专用终结点连接的预配状态。

说明
Creating
Updating
Deleting
Succeeded
Canceled
Failed

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

TlsVersion

允许发布到此域的发布服务器的最低 TLS 版本

说明
1.0
1.1
1.2